Bug 435858 - kernel panic 2.6.25-0.82-rc3.git2.fc9 libdhcp-1.99.so.1: undefined symbol
kernel panic 2.6.25-0.82-rc3.git2.fc9 libdhcp-1.99.so.1: undefined symbol
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 01:51 EST by Tim Taiwanese Liim
Modified: 2008-03-13 00:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 00:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Taiwanese Liim 2008-03-04 01:51:16 EST
Description of problem:
    kernel panic upon boot up.
    last msg during boot up:
        /bin/nash: symbol lokup error: /usr/lib/libdhcp-1.99.so.1: undefined 
               symbol: dhcpv6_client
        Kernel panic - not syncing: Attempted to kill init!


Version-Release number of selected component (if applicable):
    kernel-2.6.25-0.82-rc3.git2.fc9

How reproducible:
    always

Steps to Reproduce:
    1.'yum update' to said kernel release
    2.boot
  
Actual results:
    kernel panic

Expected results:
    boot up to login prompt.

Additional info:
    the same hardware worked with previous raw hide kernels,
    eg. 2.6.25-0.80-rc3.git2.fc9.
    work around: using grub to boot to previous usable kernel.
Comment 1 Chuck Ebbert 2008-03-05 17:16:40 EST
This is a bug in libdhcp and/or mkinitrd.
Comment 2 Tim Taiwanese Liim 2008-03-13 00:55:42 EDT
issue no longer seen in later builds, eg. 2.6.25-0.105.rc5.fc9.

Note You need to log in before you can comment on or make changes to this bug.